var gridcentric = require("../build/default/gridcentric");
var sys = require('sys');

var print_domains = function(domains) {
    if(!domains)return;
    for( var i = 0; i < domains.length; i++ ) {
        sys.puts('Listing domain...');
        sys.puts(domains[i].id);
        sys.puts(domains[i].cpus);
        sys.puts(domains[i].ram);
        sys.puts(domains[i].vmid);
        sys.puts(domains[i].ip);
    }
};

gridcentric.list_clone_domains(print_domains);

gridcentric.list_tickets(function(tickets) {
    for( var i = 0; i < tickets.length; i++ ) {
        sys.puts('Listing ticket...');
        sys.puts(tickets[i].id);
        sys.puts(tickets[i].status);
        sys.puts(tickets[i].start);
        sys.puts(tickets[i].end);
        sys.puts(tickets[i].cpus);
        sys.puts(tickets[i].vms);
        sys.puts(tickets[i].mincpuspervm);
        gridcentric.list_ticket_domains(tickets[i].id, print_domains);
    }
});
